Show / Hide Table of Contents

# Class Actor

This class represents a basic FFXIV actor.

##### Inheritance

System.Object
Actor
Chara
EventObj

##### Implements

System.IEquatable<Actor>

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class Actor : IEquatable<Actor>

### Constructors

| Improve this Doc View Source

#### Actor(IntPtr, Actor, Dalamud)

Initialize a representation of a basic FFXIV actor.

##### Declaration

    public Actor(IntPtr address, Actor actorStruct, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | address | The address of this actor in memory.
Actor | actorStruct | The memory representation of the base actor.
Dalamud.Dalamud | dalamud | A dalamud reference needed to access game data in Resolvers.

### Fields

| Improve this Doc View Source

#### actorStruct

The memory representation of the base actor.

##### Declaration

    protected Actor actorStruct

##### Field Value

Type | Description
--- | ---
Actor |

| Improve this Doc View Source

#### Address

The address of this actor in memory.

##### Declaration

    public readonly IntPtr Address

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### dalamud

##### Declaration

    protected Dalamud dalamud

##### Field Value

Type | Description
--- | ---
Dalamud.Dalamud |

### Properties

| Improve this Doc View Source

#### ActorId

Actor ID of this Actor.

##### Declaration

    public int ActorId { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Name

Displayname of this Actor.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ObjectKind

Entity kind of this Actor. See ObjectKind for possible values.

##### Declaration

    public ObjectKind ObjectKind { get; }

##### Property Value

Type | Description
--- | ---
ObjectKind |

| Improve this Doc View Source

#### Position

Position of this Actor.

##### Declaration

    public Position3 Position { get; }

##### Property Value

Type | Description
--- | ---
Position3 |

| Improve this Doc View Source

#### Rotation

Rotation of this Actor.
This ranges from -pi to pi radians.

##### Declaration

    public float Rotation { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### StatusEffects

Status Effects

##### Declaration

    public StatusEffect[] StatusEffects { get; }

##### Property Value

Type | Description
--- | ---
StatusEffect[] |

| Improve this Doc View Source

#### TargetActorID

The target of the actor

##### Declaration

    public virtual int TargetActorID { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### YalmDistanceX

The X distance from the local player in yalms.

##### Declaration

    public byte YalmDistanceX { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### YalmDistanceY

The Y distance from the local player in yalms.

##### Declaration

    public byte YalmDistanceY { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IEquatable<Actor>.Equals(Actor)

##### Declaration

    bool IEquatable<Actor>.Equals(Actor other)

##### Parameters

Type | Name | Description
--- | --- | ---
Actor | other |

##### Returns

Type | Description
--- | ---
System.Boolean |

### Implements

System.IEquatable<T>